The methods of the Mouse class are used to hide and show the mouse pointer, or to set the pointer to a specific style. The Mouse class is a top-level class whose properties and methods you can access without using a constructor. The pointer is visible by default, but you can hide it and implement a custom pointer.

### Hierarchy

- Mouse

## Index

### Properties

- cursor
- supportsCursor
- supportsNativeCursor

### Methods

- hide
- show

## Properties

### Static cursor

cursor: MouseCursor

- Defined in lib/openfl/ui/Mouse.d.ts:17

### Static supportsCursor

supportsCursor: boolean

- Defined in lib/openfl/ui/Mouse.d.ts:18

### Static supportsNativeCursor

supportsNativeCursor: boolean

- Defined in lib/openfl/ui/Mouse.d.ts:19

## Methods

### Static hide

- hide(): void

- - Defined in lib/openfl/ui/Mouse.d.ts:30

  Hides the pointer. The pointer is visible by default.

  Note: You need to call `Mouse.hide()` only once, regardless of the number of previous calls to `Mouse.show()`.

  #### Returns void

### Static show

- show(): void

- - Defined in lib/openfl/ui/Mouse.d.ts:46

  Displays the pointer. The pointer is visible by default.

  Note: You need to call `Mouse.show()` only once, regardless of the number of previous calls to `Mouse.hide()`.

  #### Returns void

Generated using TypeDoc